Skip to main content
GET
/
companies
List companies
curl --request GET \
  --url https://api.weav.com/v1/companies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "domain": "<string>",
      "country": "<string>",
      "avatar_url": "<string>",
      "first_seen_at": "2023-11-07T05:31:56Z",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Query Parameters

per_page
integer
default:15
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

Paginated companies

data
object[]
meta
object